Update a compliance profile
curl --request PATCH \
--url https://api.anchorage-staging.com/v4/compliance-profiles/{profileId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"customers": [
{
"cifProfileId": "<string>"
}
],
"signers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
]
}
'import requests
url = "https://api.anchorage-staging.com/v4/compliance-profiles/{profileId}"
payload = {
"customers": [{ "cifProfileId": "<string>" }],
"signers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customers: [{cifProfileId: '<string>'}],
signers: [{firstName: '<string>', lastName: '<string>', email: '<string>'}]
})
};
fetch('https://api.anchorage-staging.com/v4/compliance-profiles/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"customers": [
{
"cifProfileId": "<string>",
"role": "PRIMARY"
}
],
"createdAt": "2019-01-02T12:34:56.000Z",
"signers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
],
"type": "JOINT",
"taxType": "IRA",
"updatedAt": "2019-01-02T12:34:56.000Z"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Update a compliance profile
Permissions required: Manage Accounts
Update an existing compliance profile.
PATCH
/
compliance-profiles
/
{profileId}
Update a compliance profile
curl --request PATCH \
--url https://api.anchorage-staging.com/v4/compliance-profiles/{profileId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Api-Signature: <api-signature>' \
--header 'Api-Timestamp: <api-timestamp>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"customers": [
{
"cifProfileId": "<string>"
}
],
"signers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
]
}
'import requests
url = "https://api.anchorage-staging.com/v4/compliance-profiles/{profileId}"
payload = {
"customers": [{ "cifProfileId": "<string>" }],
"signers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Api-Signature": "<api-signature>",
"Api-Timestamp": "<api-timestamp>",
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
'Api-Signature': '<api-signature>',
'Api-Timestamp': '<api-timestamp>',
'Api-Access-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customers: [{cifProfileId: '<string>'}],
signers: [{firstName: '<string>', lastName: '<string>', email: '<string>'}]
})
};
fetch('https://api.anchorage-staging.com/v4/compliance-profiles/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"customers": [
{
"cifProfileId": "<string>",
"role": "PRIMARY"
}
],
"createdAt": "2019-01-02T12:34:56.000Z",
"signers": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
],
"type": "JOINT",
"taxType": "IRA",
"updatedAt": "2019-01-02T12:34:56.000Z"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Headers
Path Parameters
Body
application/json
Compliance profile fields to update
Was this page helpful?